> For the complete documentation index, see [llms.txt](https://docs.mindee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mindee.com/use-cases/extraction-models/bank-check.md).

# Bank Check

Automatically parse personal bank checks and extract structured payment data using the Bank Check model template available in the Catalog.

Documentation for the data schema of the Bank Check model template.

## Create Your Bank Check Model

* Click on "Create your document AI model" in your dashboard, then select **"Bank Check"**.
* The Bank Check model template comes pre-configured with [standard fields](#bank-check-fields).
* Once your model is created, you can immediately [test](/models/live-test.md) with your own documents.
* Optionally, you can adjust the model's [Data Schema](/extraction-models/data-schema.md) if you need to modify fields.

## Bank Check Fields

Documentation for all fields present in the data schema.

Field *accessors* are used as the keys for accessing the values in the returned data. On the data schema interface, this is the "Field Name".

Field *value types* indicate how the value is returned by the API. On the data schema interface, this is the "Field Type".

<details>

<summary>Account Holder Name</summary>

The name of the account holder.

Accessor: `account_holder_name`\
Value Type: `string`

Has a single value.

</details>

<details>

<summary>Account Number</summary>

The bank account number.

Accessor: `account_number`\
Value Type: `string`

Has a single value.

</details>

<details>

<summary>Bank Name</summary>

The name of the bank.

Accessor: `bank_name`\
Value Type: `string`

Has a single value.

</details>

<details>

<summary>Account Type</summary>

The type of bank account.

Accessor: `account_type`\
Value Type: `string`

Has a single value.

</details>

<details>

<summary>BIC</summary>

The Bank Identifier Code.

Accessor: `bic`\
Value Type: `string`

Has a single value.

</details>

<details>

<summary>Branch Address</summary>

The address of the bank branch.

Accessor: `branch_address`

**Subfields**

* **Street**\
  The street address.\
  Accessor: `street`\
  Value Type: `string`
* **City**\
  The city.\
  Accessor: `city`\
  Value Type: `string`
* **State**\
  The state or province.\
  Accessor: `state`\
  Value Type: `string`
* **Postal Code**\
  The postal code.\
  Accessor: `postal_code`\
  Value Type: `string`
* **Country**\
  The country.\
  Accessor: `country`\
  Value Type: `string`

Has a single value.

</details>

<details>

<summary>IBAN</summary>

The International Bank Account Number.

Accessor: `iban`\
Value Type: `string`

Has a single value.

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mindee.com/use-cases/extraction-models/bank-check.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
